Package org.apache.felix.http.base.internal.service

# Class ServletContextManager

java.lang.Object
org.apache.felix.http.base.internal.service.ServletContextManager

public final class ServletContextManager extends Object

## Constructor Summary

Constructors
Constructor
Description
`ServletContextManager(org.osgi.framework.Bundle bundle, jakarta.servlet.ServletContext context, boolean sharedAttributes, PerContextHandlerRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`ExtServletContext`
`getServletContext(org.osgi.service.http.HttpContext httpContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletContextManager

public ServletContextManager(org.osgi.framework.Bundle bundle, jakarta.servlet.ServletContext context, boolean sharedAttributes, PerContextHandlerRegistry registry)

## Method Details

### getServletContext

public ExtServletContext getServletContext(org.osgi.service.http.HttpContext httpContext)